<?php

namespace Modules\Bitrix\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Modules\Main\Models\Company\Company;
class SendCompany extends BitrixSender
{
    use HasFactory;
    public function __construct(Company $company)
    {
        $this->addDataItem('name', $company->name);
        $this->addDataItem('inn', $company->inn);
        $this->addDataItem('email', $company->email);
        $this->addDataItem('phone', $company->phone);
        $this->addDataItem('address', $company->legal_address);
    }
}
